<?php
/**
 * Simple mode login form: display a list of all accessible resources
 *
 * Included by login.php
 * Display login form
 *
 * See /login.php for used variables
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2013 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.1.0K
 */



?>
<div class="loginBox textShadow" style="width:400px;position:absolute;top:50%;margin-top:-100px;left:50%;margin-left:-200px;text-align:center;padding:26px 10px 48px 10px;font-size:130%;color:white">
<?php echo outImageIcon('excl32',false,'margin:0 1em 0 4em;float:left').strtoupper(cfCaption('simpleMode')).'<br>'.cfCaption('validLinkRequired')?>
</div>
<?php
loginPageFooter();
exit;







/**
 * Display links list
 * Removed for security reasons
 */
?>
<div style="position:relative;width:100%;height:100%">
<div id="winLogin" class="winNR" style="width:400px;position:relative;top:50%;margin-top:-160px;left:50%;margin-left:-200px;height:290px;<?php if(cfGGetVar('windowsAnimation')) echo 'opacity=0.01;'; // If animations, set opacity to 1% (except IE, png pbs)?>">
	<table class="winActive" cellpadding="0" cellspacing="0" style="width:100%;height:100%">
		<tr class="winTTr" id="winTTr">
			<td class="winTH">
				<table cellpadding="0" cellspacing="0" style="width:100%;height:100%">
					<tr>
						<td class="winTL" onmouseover="winHover('Win_15','tl')" onmouseout="winOut('Win_15')"></td>
						<td class="winT" onclick="win('Win_15').bringToFront()" ondblclick="win('Win_15').toggleState()">
							<div class="winCapt" style="cursor:default"><?php echo cfCaption('genResources');?></div>
							<img class="winIcon" src="<?php echo outIcon('resources');?>" alt="lock">
							<table cellpadding="0" cellspacing="0" style="width:100%;height:100%;">
								<tr>
									<td class="winTT">&nbsp;</td>
								</tr>
								<tr>
									<td style="line-height:1px"> </td>
								</tr>
							</table>
						</td>
						<td class="winTR"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="height:100%">
				<table cellpadding="0" cellspacing="0" style="height:100%;width:100%;">
					<tr>
						<td class="winL" id="winL"></td>
						<td class="winC"><div class="winOIF" id="winLogin_oif" style="height:auto">
							<div class="winIF" style="padding:0.5em 0 0.5em 0;height:250px;overflow:auto" id="winLogin_if">
<?php
// Browse resources for direct access enabled ones
foreach (WEnv::resConfigs() as $rid=>$resConfig){
	if(0) $resConfig=new WResConfig(); // Zend IDE WA
	if($resConfig->getVar('directResourceAccessEnabled') && $resConfig->getVar('directResourceAccessToken')){
//		if(@$nb++>3) continue;
		$content=outImage($resConfig->icon32(),false,false,'float:left;margin:2px 1em 2px 5px').'<div style="margin-top:0px;font-size:130%">'.cfUTF8Encode($resConfig->name()).'</div>'.cfUTF8Encode($resConfig->definition('resourceTypeLabel'));
		echo outBlockItem('res',$content,false,'display:block;padding:0',array('onclick'=>"wl.goURL('/login.php?directResourceAccessToken=".$resConfig->getVar('directResourceAccessToken')."')"));
	}
}
?>

							</div>
						</td>
						<td class="winR"></td>
					</tr>
					<tr class="winBTr" id="winBTr">
						<td class="winBL"></td>
						<td class="winB"></td>
						<td class="winBR"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</div>
